package com.ym.mec.biz.service;

import java.math.BigDecimal;
import java.util.List;

import com.ym.mec.biz.dal.entity.CourseSchedule.CourseScheduleType;
import com.ym.mec.biz.dal.entity.CourseScheduleRewardsRules;
import com.ym.mec.common.service.BaseService;

public interface CourseScheduleRewardsRulesService extends BaseService<Integer, CourseScheduleRewardsRules> {

	/**
	 * 查询课程奖励额度
	 * @param organId 分部编号
	 * @param courseScheduleType 课程类型
	 * @param coursesNum 课程数
	 * @return
	 */
	BigDecimal queryRewardsAmount(Integer organId, CourseScheduleType courseScheduleType, int coursesNum);

	/**
	 * 查询已设置的分部列表
	 * @return
	 */
	List<Integer> queryOrganIdList();
}