package com.ym.mec.biz.service;

import java.math.BigDecimal;

import com.ym.mec.biz.dal.entity.SysUserCashAccount;
import com.ym.mec.biz.dal.enums.PlatformCashAccountDetailTypeEnum;
import com.ym.mec.common.service.BaseService;

public interface SysUserCashAccountService extends BaseService<Integer, SysUserCashAccount> {

	/**
	 * 更新指定用户的账户余额
	 * @param userId 用户编号
	 * @param decimal 交易金额（支持负数）
	 * @return
	 */
	boolean updateBalance(Integer userId, BigDecimal decimal);

	/**
	 * 更新指定用户的账户余额
	 * @param userId 用户编号
	 * @param decimal 交易金额（支持负数）
	 * @param type 交易类型
	 * @param memo 备注
	 * @return
	 */
	boolean updateBalance(Integer userId, BigDecimal decimal, PlatformCashAccountDetailTypeEnum type, String memo);

	/**
	 * 更新指定用户的账户课程余额
	 * @param userId 用户编号
	 * @param decimal 交易金额（支持负数）
	 * @return
	 */
	boolean updateCourseBalance(Integer userId, BigDecimal decimal);

	/**
	 * 将课程余额转入到可用余额
	 * @param userId
	 * @return
	 */
	boolean transferCourseBalanceToBalance(Integer userId);

	/**
	 * 获取行级锁
	 * @param userId
	 * @return
	 */
	SysUserCashAccount getLocked(Integer userId);
}
