package com.ym.mec.web.controller.student;

import com.ym.mec.biz.dal.dto.StudentAttendanceDto;
import com.ym.mec.biz.dal.page.StudentAttendanceQueryInfo;
import com.ym.mec.biz.service.StudentAttendanceService;
import com.ym.mec.common.controller.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RequestMapping("studentAttendance")
@Api(tags = "学生考勤服务")
@RestController
public class StudentAttendanceController extends BaseController {

    @Autowired
    private StudentAttendanceService studentAttendanceService;

    @ApiOperation(value = "点名完成")
    @PostMapping("/addStudentAttendances")
    public Object addStudentAttendances(@RequestBody StudentAttendanceDto studentAttendanceDto){
        studentAttendanceService.addStudentAttendances(studentAttendanceDto);
        return succeed();
    }

    @ApiOperation(value = "获取学生个人签到信息")
    @GetMapping("/queryStudentPersonalAttendances")
    public Object queryStudentPersonalAttendances(@RequestBody StudentAttendanceQueryInfo queryInfo){
        return succeed(studentAttendanceService.getStudentPersonalAttendances(queryInfo));
    }

}
